package domain

import (
	"crypto/sha256"
	"encoding/hex"
	"fmt"
)

type PaginationPageID struct {
	s string
}

func NewPaginationPageID(page int32, data []byte) PaginationPageID {
	hash := sha256.Sum256(fmt.Append(data, "page", page))
	return PaginationPageID{
		s: hex.EncodeToString(hash[:]),
	}
}

func (p PaginationPageID) String() string {
	return p.s
}

func (p PaginationPageID) IsZero() bool {
	return len(p.s) == 0
}
